From e976487440df123b535b01821381352ff31d8d7d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 01 2020 20:49:21 +0000
Subject: [PATCH 64/2232] Update third-party deps to drop rustversion


---

diff --git a/third-party/BUCK b/third-party/BUCK
index 5c0e90d..0a5063f 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -67,7 +67,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro-error",
-    srcs = glob(["vendor/proc-macro-error-0.4.9/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-0.4.10/src/**"]),
     rustc_flags = ["--cfg=use_fallback"],
     deps = [
         ":proc-macro-error-attr",
@@ -79,12 +79,11 @@ rust_library(
 
 rust_library(
     name = "proc-macro-error-attr",
-    srcs = glob(["vendor/proc-macro-error-attr-0.4.9/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-attr-0.4.10/src/**"]),
     proc_macro = True,
     deps = [
         ":proc-macro2",
         ":quote",
-        ":rustversion",
         ":syn",
         ":syn-mid",
     ],
@@ -92,7 +91,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.8/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.9/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "proc-macro",
@@ -115,38 +114,8 @@ rust_library(
 )
 
 rust_library(
-    name = "rustversion",
-    srcs = glob(["vendor/rustversion-1.0.2/src/**"]),
-    mapped_srcs = {
-        ":rustversion-buildscript-run": "vendor/rustversion-1.0.2/src/generated",
-    },
-    proc_macro = True,
-    env = {
-        "OUT_DIR": "generated",
-    },
-    deps = [
-        ":proc-macro2",
-        ":quote",
-        ":syn",
-    ],
-)
-
-rust_binary(
-    name = "rustversion-buildscript",
-    srcs = glob(["vendor/rustversion-1.0.2/build/**"]),
-    crate_root = "vendor/rustversion-1.0.2/build/build.rs",
-)
-
-genrule(
-    name = "rustversion-buildscript-run",
-    cmd = "OUT_DIR=${OUT} $(exe :rustversion-buildscript)",
-    type = "build.rs",
-    out = ".",
-)
-
-rust_library(
     name = "structopt",
-    srcs = glob(["vendor/structopt-0.3.9/src/**"]),
+    srcs = glob(["vendor/structopt-0.3.11/src/**"]),
     visibility = ["PUBLIC"],
     deps = [
         ":clap",
@@ -157,7 +126,7 @@ rust_library(
 
 rust_library(
     name = "structopt-derive",
-    srcs = glob(["vendor/structopt-derive-0.4.2/src/**"]),
+    srcs = glob(["vendor/structopt-derive-0.4.4/src/**"]),
     proc_macro = True,
     deps = [
         ":heck",
@@ -170,7 +139,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.15/src/**"]),
+    srcs = glob(["vendor/syn-1.0.16/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "clone-impls",
diff --git a/third-party/BUILD b/third-party/BUILD
index 9af57d1..697c125 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -72,7 +72,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro-error",
-    srcs = glob(["vendor/proc-macro-error-0.4.9/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-0.4.10/src/**"]),
     rustc_flags = ["--cfg=use_fallback"],
     deps = [
         ":proc-macro-error-attr",
@@ -84,12 +84,11 @@ rust_library(
 
 rust_library(
     name = "proc-macro-error-attr",
-    srcs = glob(["vendor/proc-macro-error-attr-0.4.9/src/**"]),
+    srcs = glob(["vendor/proc-macro-error-attr-0.4.10/src/**"]),
     crate_type = "proc-macro",
     deps = [
         ":proc-macro2",
         ":quote",
-        ":rustversion",
         ":syn",
         ":syn-mid",
     ],
@@ -97,7 +96,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.8/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.9/src/**"]),
     crate_features = [
         "proc-macro",
         "span-locations",
@@ -120,39 +119,8 @@ rust_library(
 )
 
 rust_library(
-    name = "rustversion",
-    srcs = glob(["vendor/rustversion-1.0.2/src/**"]),
-    crate_type = "proc-macro",
-    out_dir_tar = ":rustversion_buildscript_outdir",
-    deps = [
-        ":proc-macro2",
-        ":quote",
-        ":syn",
-    ],
-)
-
-rust_binary(
-    name = "rustversion_buildscript",
-    srcs = glob(["vendor/rustversion-1.0.2/build/**"]),
-    crate_root = "vendor/rustversion-1.0.2/build/build.rs",
-)
-
-pkg_tar(
-    name = "rustversion_buildscript_outdir",
-    srcs = [":rustversion_buildscript_run"],
-    extension = "tar.gz",
-)
-
-genrule(
-    name = "rustversion_buildscript_run",
-    outs = ["version.rs"],
-    cmd = "OUT_DIR=$(@D) $(location :rustversion_buildscript)",
-    tools = [":rustversion_buildscript"],
-)
-
-rust_library(
     name = "structopt",
-    srcs = glob(["vendor/structopt-0.3.9/src/**"]),
+    srcs = glob(["vendor/structopt-0.3.11/src/**"]),
     visibility = ["//visibility:public"],
     deps = [
         ":clap",
@@ -163,7 +131,7 @@ rust_library(
 
 rust_library(
     name = "structopt-derive",
-    srcs = glob(["vendor/structopt-derive-0.4.2/src/**"]),
+    srcs = glob(["vendor/structopt-derive-0.4.4/src/**"]),
     crate_type = "proc-macro",
     deps = [
         ":heck",
@@ -176,7 +144,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.15/src/**"]),
+    srcs = glob(["vendor/syn-1.0.16/src/**"]),
     crate_features = [
         "clone-impls",
         "derive",
